

#ifndef __AD7176_2_REGS_H__
#define __AD7176_2_REGS_H__

#include <io.h>

/* all registers are 32 bits wide .*/

#define IOADDR_AD7176_2_CONTROL(base)           __IO_CALC_ADDRESS_NATIVE(base, 0)
#define IORD_AD7176_2_CONTROL(base)             IORD(base, 0)
#define IOWR_AD7176_2_CONTROL(base, data)       IOWR(base, 0, data)

#define IOADDR_AD7176_2_ACQ_COUNT(base)         __IO_CALC_ADDRESS_NATIVE(base, 1)
#define IORD_AD7176_2_ACQ_COUNT(base)           IORD(base, 1)
#define IOWR_AD7176_2_ACQ_COUNT(base, data)     IOWR(base, 1, data)

#define IOADDR_AD7176_2_BASE(base)              __IO_CALC_ADDRESS_NATIVE(base, 2)
#define IORD_AD7176_2_BASE(base)                IORD(base, 2)
#define IOWR_AD7176_2_BASE(base, data)          IOWR(base, 2, data)

#define IOADDR_AD7176_2_STATUS(base)            __IO_CALC_ADDRESS_NATIVE(base, 3)
#define IORD_AD7176_2_STATUS(base)              IORD(base, 3)
#define IOWR_AD7176_2_STATUS(base, data)        IOWR(base, 3, data)

#define IOADDR_AD7176_2_CORE_CONTROL(base)      __IO_CALC_ADDRESS_NATIVE(base, 4)
#define IORD_AD7176_2_CORE_CONTROL(base)        IORD(base, 4)
#define IOWR_AD7176_2_CORE_CONTROL(base, data)  IOWR(base, 4, data)

#define IOADDR_AD7176_2_CORE_TXDATA(base)       __IO_CALC_ADDRESS_NATIVE(base, 5)
#define IORD_AD7176_2_CORE_TXDATA(base)         IORD(base, 5)
#define IOWR_AD7176_2_CORE_TXDATA(base, data)   IOWR(base, 5, data)

#define IOADDR_AD7176_2_CORE_STATUS(base)       __IO_CALC_ADDRESS_NATIVE(base, 6)
#define IORD_AD7176_2_CORE_STATUS(base)         IORD(base, 6)
#define IOWR_AD7176_2_CORE_STATUS(base, data)   IOWR(base, 6, data)

#define IOADDR_AD7176_2_CORE_RXDATA(base)       __IO_CALC_ADDRESS_NATIVE(base, 7)
#define IORD_AD7176_2_CORE_RXDATA(base)         IORD(base, 7)
#define IOWR_AD7176_2_CORE_RXDATA(base, data)   IOWR(base, 7, data)

#endif /* __AD7176_2_REGS_H__ */